0

I have a master with percona server (5.6.25) running in RHEL host and a slave of the same version. I'm facing some corruption issues in replication slave and I'm thinking of rebuilding the slave from scratch.

Just a query, can I have the slave of version 5.6.31 instead of the original master version? What could be the issues that could occur?

0

yes, it will work. generally it is recommended that slaves be the same or of higher version than its master.

  • ok what if I change this config to active master-passive master config. Even then will it work? – tesla747 Jul 9 '16 at 13:32
  • in theory it should still work because you're using the same major version. but to be sure check release notes from 5.6.25+ to 5.6.31 for incompatible changes if there are any. – jerichorivera Jul 9 '16 at 13:36

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.